//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public partial class MaTime
    {

        public MaTime()
        {
            this.Tb_CourseHist = new HashSet<Tb_CourseHist>();
            
           
        }
        public int Id { get; set; }

        [StringLength(7)]
        [Display(Name = "Time In ")]
        [Required(ErrorMessage = "*")]
        public string TimeIn { get; set; }

        [Display(Name = "Time Out ")]
        [Required(ErrorMessage = "*")]
        [StringLength(7)]
        public string TimeOut { get; set; }

        [Display(Name = "In Description ")]
        [StringLength(7)]
        public string Indesc { get; set; }

        [Display(Name = "Out Description ")]
        [StringLength(7)]
        public string OutDesc { get; set; }

        [Display(Name = "Branch Name ")]
        public Nullable<int> BranchId { get; set; }

        private Nullable<bool> _status;
        public bool Status
        {
            get
            {
                if (_status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _status = value;
            }
        }
        [DataType(DataType.Date)]
        [Display(Name = "Enter Date")]
        public Nullable<System.DateTime> Cdate { get; set; }
        [Display(Name = "Time Code")]
        [Required(ErrorMessage = "*")]
        public string TCode { get; set; }
        [Display(Name ="Package Hours")]
        public string PackageHours { get; set; }

        public string TMCode { get; set; }

        public Nullable<int> AvailSeat { get; set; }

        public virtual MaBranch MaBranch { get; set; }
        public virtual ICollection<Tb_CourseHist> Tb_CourseHist { get; set; }
        
        
    }
}
